﻿/*
 * * * Compile_AHK SETTINGS BEGIN * * *

[AHK2EXE]
Exe_File=%In_Dir%\Auto Run Chrome.exe
[VERSION]
Set_Version_Info=1
File_Version=0.0.1.0
Inc_File_Version=0
Product_Version=0.0.1.0
[ICONS]
Icon_1=%In_Dir%\chrome_IDR_SXS.ico
Icon_2=%In_Dir%\chrome_IDR_SXS.ico
Icon_3=%In_Dir%\chrome_IDR_SXS.ico

* * * Compile_AHK SETTINGS END * * *
*/

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.
#Persistent
#SingleInstance Force

useSite := ""
keepActiveMax := False

Menu, Tray, NoStandard
Menu, Tray, Tip, Auto Launch Chrome (v1.0)
Menu, Tray, Add, Change Site, siteChange
Menu, Tray, Add,,
Menu, Tray, Add, Keep Active and Maximized, toggleActive
Menu, Tray, Add,,
Menu, Tray, Add, Exit, RunExit

SetTimer, doCheck, 100
Return
doCheck:
	IF (!WinExist("ahk_class Chrome_WidgetWin_1" )) {
		Run, Chrome.exe %useSite%
		WinWait, ahk_class Chrome_WidgetWin_1
		WinActivate
	}
	IF (keepActiveMax) {
		WinActivate, ahk_class Chrome_WidgetWin_1
		WinMaximize
	}
Return

toggleActive:
keepActiveMax := !keepActiveMax
Menu, Tray, ToggleCheck, Keep Active and Maximized
Return

siteChange:
Thread, Priority, 1
InputBox, useSite , Enter Site to open when chrome isn't runnning,,,,100
Return

RunExit:
ExitApp

